from ngsolve import *
import netgen.meshing
from netgen.geom2d import unit_square

# setup the mesh
if mpi_world.rank == 0:
	ngmesh = Mesh("mesh_subsquare.vol").ngmesh
	ngmesh.Distribute(mpi_world)	
else:
	ngmesh = netgen.meshing.Mesh.Receive(mpi_world)
	ngmesh.SetGeometry(unit_square)

mesh = Mesh(ngmesh)

# load function
gf = GridFunction(H1(mesh, order = 4))
gf.Load("ushape_smooth.ngs", parallel = True)

VTKOutput(ma = mesh, coefs = [gf], names = ["ushape"], filename="ushape_" + str(mpi_world.rank)).Do()
